#!/bin/sh

make

./pqatobin *.pqa >links.sed

for i in *.pgm; do
    echo "$i";
    cat <"$i" |\
    ppmtogif >"$i".gif;
done
#rm *.pgm

for i in *.html; do
    if ( grep -l file: "$i" ); then
	sed -f links.sed -e "s/file:\/*//g" "$i" >"$i".fix
	mv "$i".fix "$i"
    fi

    if ( grep -l \%deviceid "$i" ); then
	sed -e "s/%deviceid/0.0.0/g" -e "s/%zipcode/00000/g" "$i" >"$i".fix
	mv "$i".fix "$i"
    fi

    if ( grep -l \%zipcode "$i" ); then
	sed -e "s/%zipcode/00000/g" "$i" >"$i".fix
	mv "$i".fix "$i"
    fi

done

#rm links.sed
